Skip to content

Mark an upload session as complete and assemble all previously uploaded parts to create a file.

POST/api/{version}/services/file_staging/upload/{upload_session_id}
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/json(default)
NameDescription
upload_session_idThe upload session ID.
curl -L -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ https://myvault.veevavault.com/api/v26.1/services/file_staging/upload/.lqX6rv1jbu5vABJoy5XoSZmQXTTJV_jwxO.kFuS.qISxQJDiFm0s_kfb8oRS9DBDGg--
{ "responseStatus": "SUCCESS", "data": { "job_id": 100954 } }

On SUCCESS, Vault returns the job_id for the commit. Use the Job Status API to retrieve the job results. Upon successful completion of the job, the file will be available on the staging server.